#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "ippc.h"
#include "syscall.h"

int main(int argc, char ** argv) {
  ippc_channel ioc = ippc_channel_open("/var/horde/sessions/ippc");

  if (ioc) {
    // send a session_connect request.
    ippcmsg_session_command cmd;
    cmd.command = cmd.ACCEPT;
    strcpy(cmd.session_id, "hello");
    
    int retval = ippc_message_send(ioc, IPPC_SESSION_COMMAND, &cmd, sizeof cmd);
    printf("sent: retval=%d\n", retval);
    
    int type;
    size_t len;
    char *msg = ippc_message_receive(ioc, &type, &len);

    printf("recv: msg=%08x, type=%d, len=%d\n", (int)((void*)msg), type, len);
  }
}
